Subject: 1.3.10: RE: Impossible to exit rxvt, now
From: "Livio Bertacco" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 5 May 2002 09:16:50 +0200

Why should we forget about "the last one"? Do you mean 1.3.9 solved your
rxvt issues?
I've 1.3.10 and rxvt 2.7.2-10 and I can freeze rxvt in many different
ways: here are 2.
This is on XP Pro and used to happen with earlier cygwin/rxvt versions
too.

Freezing way 1
  C:\> C:\CygWin\bin\bash --login
  Livio@MOLOCH ~$ rxvt
  \u@h \w\$ Ctrl-D
This makes rxvt crash, XP display the "send error report" dialog, and I
get a fresh rxvt.exe.stackdump file.
Note that the following doesn't crash my rxvt
  C:\> \CygWin\bin\bash
  Bash-2.05a$ /bin/rxvt
  $ Ctrl-D

Freezing way 2
  C:> C:\CygWin\bin\rxvt.exe -sr -e /bin/bash --login
  Livio@MOLOCH ~$ mkdir a
  Livio@MOLOCH ~$ cd a
  Click on the Windows upper right X button to close the rxvt window
Rxvt terminates but bash is left as a defunct with handles still open on
dir "a" so that I cannot remove dir "a" from windows/cmd (you can see
the hung bash with CMD.exe "tasklist|findstr bash", WindowsTaskManager
Processes, SysInternals ProcessExplorer, etc...)
Note that if I close rxvt typing Ctrl-D (instead of clicking the
button), both rxvt and bash terminate properly.

The samples above are on XP, I don't have cygwin on 2k anymore to test
if these tests works exactly the same on 2k, anyway rxvt used to crash a
lot on my 2k machine too and often, after the crash, I got 100% cpu load
by the hung processes (but maybe this was with an earlier cygwin
version). On XP I never experienced the 100% cpu issue.

Regards,
Livio

--- Rick Rankin <[email-masked]> wrote:
OK, forget the last one. The message about 1.3.9 appeared just after I
hit
send.

-- Rick
--- Rick Rankin <[email-masked]> wrote:
> This *appears* to be a problem handling EOF. I've included some strace
output
> that will hopefully shed some light on the problem. If this points
someone to
> an obvious solution, great. If not, it'll be at least a couple of days
before
> I'll have a chance to look at it in more detail.
> 
> Oddly enough, I couldn't get any output out of strace using the
version of
> rxvt
> distributed with cygwin. The strace output below was generated with a
version
> of rxvt I built myself, which also has the same problem at exit. If I
run
> 
> /usr/bin/rxvt -e bash --login
> 
> I get an rxvt window (albeit huge) and a prompt. But if I run
> 
> strace /usr/bin/rxvt -e bash --login
> 
> I get nothing -- no window and no output from strace.
> 
> BTW, if the entire strace output would help, I can attach it, but it's
about
> 6.5 MB.
> 
> --Rick
> 

[strace output snipped]

> 
> --- David Starks-Browning <[email-masked]> wrote:
> > On Monday 21 Jan 02, fergus at bonhard dot uklinux dot net writes:
> > > However, on pressing <Ctrl-d>, or typing exit, to exit, the
terminal
> window
> > > freezes, necessitating either a mouse-click on the top RH [x]
close
> button,
> > > or <Ctrl-Alt-Del> followed by [End Task], to close down. Strange.
> > 
> > I wouldn't dare post a "me too", but let me add that rxvt.exe is
> > actually left "spinning", consuming cpu resources until you close
the
> > window explicitly.
> > 
> > Like fergus, I notice this with 1.3.8 from 1.3.6-6.  I did not see
it
> > with the 2002-Jan-10 snapshot.
> > 
> > It sounds like fergus is using Win9x.  I see it on NT 4.
> > 
> > Regards,
> > David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/